@import url('https://fonts.googleapis.com/css2?family=Crimson+Pro:ital,wght@0,200..900;1,200..900&family=Lora:ital,wght@0,400..700;1,400..700&family=Marcellus&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Prata&display=swap');

@font-face {
    font-family: 'MinhaFonte';
    src: url('../fonts/Roca-Bold.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

*{
    margin:0;
    padding: 0;
    box-sizing: border-box;
}

body{
    width: 100vw;
    height: 100vh;
}

header{
    height: 10%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 2% 5%;
    font-size: 1.7em;
    
    font-family: "Montserrat", serif;
    font-weight: 400;
    font-style: normal;
    color: rgb(90, 21, 21);

}

button, a{
    cursor: pointer;
}

.logo img{
    height: 85px;
    cursor: pointer;
    object-fit: cover;

}

.menu{
    display: flex;
}

.menu a{
    font-size: .6em;
    text-decoration: none;
    margin-left: 10px;
    cursor: pointer;
    color: rgb(90, 21, 21);
}

.menu a:hover{
    text-decoration: underline;
}

menu a:active {
    color: rgb(90, 21, 21);
}

.carrossel{
    width: 90vw;
    height: 70vh;
    margin: auto;
}

.carrossel img{
    width: 100%;
    height: 70vh;
    object-fit: cover;
    object-position: center;

}

.bemVindo{
    width: 100%;
    text-align: center;
    color: #fff;
    position: absolute;
    margin: auto;
    font-size: 2.5em;
    z-index: 1;
    font-family: "Montserrat", serif;
    font-weight: 400;
    bottom: 5%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.saudacao p{
    text-shadow: 0px 0px 15px rgba(0,0,0,0.75);
    margin-bottom: 15px;
}
.saudacao span{
    font-weight: 600;
}

.bemVindoMenu{
    display: flex;
    justify-content: center;
}

.bemVindoMenu button{
    cursor: pointer;
    margin-right: 10px;
    width: 200px;
    padding: 7px;
    border-radius: 20px;
    border: none;
    font-size: .4em;
    font-weight: 500;
    box-shadow: 0px 0px 15px rgba(0,0,0,0.75);

}

.bkgMarrom{
    background-color: #6a2514;
    color: #fff;
}

.corCinza{
    color: #5f5f5f;
}

.corMarrom{
    color:#6a2514;
}
.idioma{
    display: flex;
    justify-content: end;
    align-items: center;
    margin: auto;
    width: 90%;
    margin-top: 20px;
    font-family: "Montserrat", serif;
    font-weight: 400;
    font-size: 1.3em;
}

.idioma img{
    margin-left: 5px;
    cursor: pointer;
    object-fit: cover;
}

.sobre{
    /* margin-top: 100px !important; */
    width: 80%;
    margin: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    font-family: "Montserrat", serif;
    font-weight: 400;
    margin-bottom: 60px;
}
.sobre h2{
    font-family: "MinhaFonte", serif;

    font-size: 2.8em;
}

.sobre p{
    font-size: 1.2em;
    text-align: center;
    line-height: 1.1; 

    margin-bottom: 8px;

}
.sobre a{
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    margin-right: 3px;
}
.as{
    display: flex;
}


.lugar{
    height: 60vh;
    width: 100vw;
    display: flex;
    font-family: "Montserrat", serif;
    font-weight: 400;
    margin-bottom: 100px;

    /* display: flex;
    align-items: center; */
}

.carrosselLugar{
    height: 100%;
    width: 50%;
    /* margin-right: 50px; */
    display: flex;
    justify-content: center;
    align-items: center;

}
.carrosselLugar img{
    max-height: 350px;
    width: 50%;
    object-fit: cover;
    object-position: center;


}



.sobreLugar{
    width: 100%;
    /* padding-right: 150px; */
    margin-left: 50px;

    /* display: flex;
    flex-direction: column;
    justify-content: center; */

}

.sobreLugar h2{
    font-family: "MinhaFonte", serif;

    font-size: 2.8em;
}

.sobreLugar h3{
    font-weight: 400;
    font-size: 1.3em;
    line-height: 1; 
}

.sobreLugar p{
    margin-top: 10px;
    line-height: 1.1; 
    font-size: 1.2em;
}

.sobreLugar a{
    margin-top: 10px;
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    margin-bottom: 50px;
}



.lugar2, .lugar3{
    height: 60vh;
    width: 100vw;
    display: flex;
    font-family: "Montserrat", serif;
    font-weight: 400;
    margin-bottom: 100px;
/* 
    display: flex;
    align-items: center; */
}

.carrosselLugar2{
    height: 100%;
    width: 50%;
}
.carrosselLugar2 img, .carrosselLugar3 img{
    max-height: 350px;
    width: 50%;
    object-fit: cover;
    object-position: center;

}

.sobreLugar2, .sobreLugar3{
    padding-left: 50px;
    width: 100%;
}

.sobreLugar3{
    padding-left: 0px;
    width: 100%;
}

.sobreLugar2 h2, .sobreLugar3 h2{
    font-family: "MinhaFonte", serif;
    font-size: 2.8em;
}

.sobreLugar2 h3, .sobreLugar3 h3{
    font-weight: 400;
    font-size: 1.3em;
    line-height: 1;  
}

.sobreLugar2 p, .sobreLugar3 p{
    width: 80%;
    margin-top: 10px;
    line-height: 1.1; 
    font-size: 1.2em;
}

.sobreLugar2 a, .sobreLugar3 a{
    margin-top: 10px;
    display: flex;
    align-items: center;
    text-decoration: none;
    font-size: 1.2em;
    cursor: pointer;
    margin-bottom: 50px;
}

.lugar3{
    height: 60vh;
    width: 100vw;
    display: flex;
    font-family: "Montserrat", serif;
    font-weight: 400;
    margin-bottom: 70px;
/* 
    display: flex;
    align-items: center; */
}

.carrosselLugar3{
    height: 100%;
    width: 50%;
    /* margin-right: 50px; */
}

.bkgRed{
    background-color: red !important;
}



.sobreLugar3
{
    width: 50%;
    /* padding-right: 150px; */
    margin-left: 50px;

}


.carrosselEntrega{
    height: 65vh;
    width: 100vw;
    font-family: "Montserrat", serif;
    font-weight: 400;
    font-style: normal;


    /* margin-bottom: 50px; */
}

.tels{
    display: flex;
}

.tels a{
    margin-right: 10px;
}
.carrosselEntrega img{
    object-position: center;
    object-fit: cover;
    width: 100%;
    height: 50vh;

}

.textEntrega{
    position: relative;
    margin: auto;
    width: 60%;
    
    bottom: 60%;
    color: #fff;
    text-shadow: 0px 0px 15px rgba(0,0,0,0.75);
    text-align: center;
    font-family: "Montserrat", serif;
    font-weight: 400;
    font-style: normal;
}

.iconesDelivery{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70px;
}

.iconesDelivery img{
    object-position: center;
    object-fit: cover;
    cursor: pointer;
    width: 50px;
    height: 50px;
    margin-left: 10px;
}

.textEntrega h2{
    font-size: 2em;
    font-family: "Montserrat", serif;
    font-weight: 400;
    text-shadow: 0px 0px 15px rgb(0, 0, 0);
}

.textEntrega p{
    font-size: 1.2em;
    font-family: "Montserrat", serif;
    font-weight: 400;
    text-shadow: 0px 0px 15px rgb(0, 0, 0);
}
.textEntrega span{
    font-weight: 600;
}

.textEntrega button{
    cursor: pointer;
    margin-top: 10px;
    background-color: #5a151500;
    font-family: "Montserrat", serif;
    font-weight: 500;
    padding: 10px;
    width: 250px;
    color: #fff;
    text-shadow: 0px 0px 15px rgba(0,0,0,0.75);
    border: 2px solid #fff;
}

.footer{
    background-color: rgb(226, 226, 226);
    padding: 5vh 5vw;
    font-family: "Montserrat", serif;

    display: flex;
}

.contatos{
    margin-right: 50px;
    display: flex;
    flex-direction: column;
}

.contatos h3{
    font-size: 1.5em;
    font-weight: 500;
}

.teste{
    display: flex;
    font-weight: 600;
}

.teste span{
    font-weight: 600;
    margin-left: 5px;
}
.contatos h2, .infos h3{
    font-size: 1.3em;
    color: rgb(30, 30, 30);
    font-weight: 600;
    margin-top: 10px;
}

.contatos a{
    text-decoration: none;
    color: rgb(61, 61, 61);
    font-weight: 500;
    cursor: pointer;
    font-size: 1.2em;
}

.contatos p, .infos p{
    color: rgb(61, 61, 61);
    font-weight: 500;
    font-size: 1.2em;
}

.marginBottom{
    margin-bottom: 10px;
}
#textDecoration{
    font-size: 1.2em;
    margin-top: 10px;
    color: blue;
    text-decoration: underline;
}

.envFooter{
    width: 90%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: end;
}
.menu-toggle{
    display: none;
}

.popup {
    display: none; /* Inicialmente escondido */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: end;
    z-index: 1000;
    font-family: "Montserrat", serif;
  }
  
  .popup-content {
    background-color: white;
    padding: 20px;
    border-radius: 10px;
    text-align: center;
    width: 98%;
  }
  .popup-content h2{
    margin-bottom: 10px;
  }
  
  #accept-button {
    padding: 10px 20px;
    background-color: #4CAF50;
    color: white;
    margin-top: 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }

  #reject-button {
    padding: 10px 20px;
    background-color: red;
    color: white;
    margin-top: 10px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }
  
  #reject-button:hover {
    background-color: rgb(113, 2, 2);
  }

/* RESPONSIVIDADE */
 @media (min-width: 1224px) {
  

    .lugar, .lugar2, .lugar3{
        height: 45vh;
    }
    .carrosselEntrega{
        height: 55vh;
    }
   
}



@media (max-width: 768px) {
    .container{
        margin-top: 10px;
    }
    .carrossel img, .carrosselLugar img, .carrosselLugar2 img, .carrosselLugar3 img{
        max-height: 270px;
    }

    header, .contatos h3 {
        font-size: 1.2em;
    }

    .bemVindo{
        width: 65vw;
        bottom: 8%;
    }

    .idioma{
        font-size: 1em;
        margin-top: 0;
    }
    .sobre h2, .sobreLugar h2, .sobreLugar3 h2{
        text-align: start;
        font-size: 2em;
    }

    .sobreLugar2 h2{
        font-size: 1.8em;
    }

    .sobre p, .sobre a, .sobreLugar h3, .sobreLugar p, .sobreLugar a, .sobreLugar2 h3, .sobreLugar2 p, .sobreLugar2 a, .sobreLugar3 h3, .sobreLugar3 p, .sobreLugar3 a{
        font-size: 1em;
    }


    .lugar, .lugar2, .lugar3{
        height: 45vh;
    }

    .textEntrega h2{
        font-size: 1.6em;
    }

    .textEntrega p{
        font-size: .8em;
    }

    .textEntrega button{
        padding: 5px;
    }

    /* .envFooter{
        flex-direction: column;
        justify-content: start;
        align-items: start;
    } */

    .contatos, .infos{
        width: 100%;
    }

    .contatos h2, .infos h3, .contatos a, .contatos p, .infos p, #textDecoration{
        font-size: 1em;
    }
}

@media (max-width: 480px) {
    
    .carrossel{
        height: 50vh;
    }
    .bemVindo{
        top: 55%;
        /* height: 100px; */
        font-size: 1.5em;
    }
    .menu{
        z-index: 99;
        display: none;
        flex-direction: column;
        position: absolute;
        right: 0;
        top: 10%;
        background-color: #fff;
        border-radius: 10px;
        padding: 10px;
        font-size: 1.5em;
        /* display: none; */
    }

    .menu a{
        margin-bottom: 10px;
    }

    .carrossel img, .carrosselLugar img, .carrosselLugar2 img, .carrosselLugar3 img{
        max-height: 300px;
    }

    .carrossel img{
        max-height: 400px;
    }

    .menu-toggle{
        display: block;
    }

    .lugar, .lugar2, .lugar3{
        flex-direction: column;
        height: auto;
        justify-content: center;
        align-items: center;
        margin-bottom: 0px;
    }

    .lugar3{
        flex-direction: column;
        height: 75vh;
        justify-content: center;
        align-items: center;
        margin-top: 100px;
    }

    .carrosselEntrega{
        height: 60vh;
    }

    .carrosselEntrega img{
        margin-top: 50PX;
        height: 45vh;
    }

    .textEntrega{
        width: 80%;
        bottom: 70%;
    }

    .iconesDelivery img{
        height: 50px;
    }

    

    
    .carrosselLugar, .carrosselLugar2, .carrosselLugar3 {
        width: 100% !important;
        margin: auto;
        /* height: 50vh !important; */
    }

    .bemVindoMenu{
        flex-direction: column;
    }

    .bemVindoMenu button{
        width: 100%;
        margin-top: 10px;
        margin-right:0;
    }

    .sobre{
        justify-content: start;
        align-items: start;
        text-align: start;
    }

    .sobreLugar3{
        width: 100%;
    }

    .sobre h2{
        margin-top: 10px;
        line-height: 1;
        margin-bottom: 15px;
    }

    .as{
        justify-content: start;
        align-items: start;
    }

    .as img{
        width: 18px;
        height: 18px;
    }
    .sobre h2, .sobreLugar h2, .sobreLugar3 h2, .sobre p, .sobre a, .sobreLugar h3, .sobreLugar p, .sobreLugar a, .sobreLugar2 h3, .sobreLugar2 p, .sobreLugar2 a, .sobreLugar3 h3, .sobreLugar3 p, .sobreLugar3 a{
        text-align: start;
    }

    .sobreLugar a, .sobreLugar2 a, .sobreLugar3 a{
        justify-content: center;
    }

    .sobreLugar2 h2{
        font-size: 2em;
    }

    .envFooter{
        flex-direction: column;
    }

    .contatos{
        margin-right: 0;
    }
    
    .sobreLugar, .sobreLugar2, .sobreLugar3{
        padding-left: 0;
        width: 80%;
        margin-left: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: start;
    }
}
